<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="Default" />

This template is responsible for creating a table of domain objects.

If you modify this template, do not forget to change the overwrite settings
in /Configuration/ExtensionBuilder/settings.yaml:
  Resources:
    Private:
      Templates:
        Addressbook:
          Index.html: keep

Otherwise your changes will be overwritten the next time you save the extension in the extension builder

<f:section name="content">
    <h1>Listing for Addressbook</h1>

    <f:flashMessages />

    <table class="tx_smartverein">
        <tr>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.type" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.company_name" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.contact_person" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.street" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.zip" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.city" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.state" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.country" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.image" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.salutation" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.departmend" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.position" /></th>
            <th><f:translate key="tx_smartverein_domain_model_addressbook.note" /></th>
            <th></th>
            <th></th>
        </tr>
        <f:for each="{addressbooks}" as="addressbook">
            <tr>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.type}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.companyName}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.contactPerson}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.street}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.zip}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.city}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.state}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.country}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.image.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.salutation}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.departmend}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.position}</f:link.action></td>
                <td><f:link.action action="show" arguments="{addressbook : addressbook}">{addressbook.note}</f:link.action></td>
                <td><f:link.action action="edit" arguments="{addressbook : addressbook}">Edit</f:link.action></td>
                <td><f:link.action action="delete" arguments="{addressbook : addressbook}">Delete</f:link.action></td>
            </tr>
        </f:for>
    </table>

    <f:link.action action="new">New Addressbook</f:link.action>
</f:section>
</html>
